import { EventEmitter } from '../../../EventEmitter';
import { System } from '../../../system';
import { Gamepad_J } from '../../../system/platform/api/gamepad';
export declare class Gamepad_ extends EventEmitter {
    system: System;
    gamepad: Gamepad;
    constructor(system: System, gamepad: Gamepad);
    state: Gamepad_J;
    private _frame;
    read(): Promise<Gamepad_J>;
    write(data: Gamepad_J): Promise<void>;
    private _event_capture_tick;
    private _start_event_capture;
    private _stop_event_capture;
    private _listenerCount;
    addListener(event: any, listener: any): () => void;
    disconnect(): void;
}
